import { ClassNameKey } from './Namespaces/Tableau';
export declare type WorksheetFormatting = WorkbookFormatting;
/**
 * The Workbook formatting contains an array of Formatting sheets.
 * Each of these sheets can be identified by the ClassNameKey and
 * contains the CSS properties needed to mimic the formatting on your workbook.
 */
export interface WorkbookFormatting {
    /**
     * @returns  An array of formatting sheets that contain the css properties for a tableau workbook.
     * @since 1.7.0 and Tableau 2021.4
     */
    readonly formattingSheets: Array<FormattingSheet>;
}
export interface FormattingSheet {
    /**
     * @returns  Is an object that contains a ClassNameKey which represents a type of
     * formatting in a workbook: WorksheetTitle, Worksheet, Tooltip, StoryTitle, and DashboardTitle.
     * @since 1.7.0 and Tableau 2021.4
     */
    readonly classNameKey: ClassNameKey;
    readonly cssProperties: React.CSSProperties;
}
//# sourceMappingURL=WorkbookFormattingInterfaces.d.ts.map